from datetime import datetime
from .object import Object

class Pokemon(Object):
    def __init__(self, name, number, location,
                cp, level, attack, defense, hp,
                iv, shiny, start_time, end_time,
                country):
        self.name = name
        self.number = number
        self.location = location
        self.cp = cp
        self.level = level
        self.attack = attack
        self.defense = defense
        self.hp = hp
        self.iv = iv
        self.shiny = shiny
        self.start_time = start_time
        self.end_time = end_time
        self.country = country
    
    def is_dispawned(self):
        if datetime().now() > end_time:
            return True
        return False

    def __repr__(self):
        return f"{self.name}: {self.cp}, {self.level}, {self.attack}-{self.defense}-{self.hp}, shinable: {self.shiny}, end: {self.end_time}"

    
    